<?php
	
	define( "STATUS_NEW_USER" , "new_user" );
	define( "STATUS_ACTIVE" , "active_user" );
	define( "STATUS_HAS_TO_PAY_4W" , "has_to_pay_4w" );
	define( "STATUS_HAS_TO_PAY_3W" , "has_to_pay_3w" );
	define( "STATUS_HAS_TO_PAY_2W" , "has_to_pay_2w" );
	define( "STATUS_HAS_TO_PAY_1W" , "has_to_pay_1w" );
	define( "STATUS_HAS_TO_PAY" , "has_to_pay" );
	define( "STATUS_NEW_USER_HAS_TO_PAY" , "new_user_has_to_pay" );
	define( "STATUS_NEW_USER_EXPIRED_1W" , "new_user_expired_1w" );
	define( "STATUS_NEW_USER_EXPIRED_2W" , "new_user_expired_2w" );
	define( "STATUS_NEW_USER_EXPIRED_3W" , "new_user_expired_3w" );
	define( "STATUS_NEW_USER_EXPIRED_4W" , "new_user_expired_4w" );
	define( "STATUS_NEW_USER_EXPIRED_5W" , "new_user_expired_5w" );
	define( "STATUS_NEW_USER_EXPIRED_6W" , "new_user_expired_6w" );
	define( "STATUS_NEW_USER_EXPIRED_TOTAL" , "new_user_expired_total" );
	define( "STATUS_NEW_USER_DELETED" , "new_user_deleted" );
	define( "STATUS_EXPIRED_1W" , "expired_1w" );
	define( "STATUS_EXPIRED_2W" , "expired_2w" );
	define( "STATUS_EXPIRED_3W" , "expired_3w" );
	define( "STATUS_EXPIRED_4W" , "expired_4w" );
	define( "STATUS_EXPIRED_5W" , "expired_5w" );
	define( "STATUS_EXPIRED_6W" , "expired_6w" );
	define( "STATUS_EXPIRED_TOTAL" , "expired_total" );

	define( "STATUS_DELETED" , "deleted" );
	define( "STATUS_ARCHIVE" , "archive" );

	define( "UTYPE_TRANSLATOR" , "translator" );
	define( "UTYPE_OFFICE" , "office" );

	define( "PM_POSTAL_CHEQUE" , "postalcheque" );
	define( "PM_DIRECT_DEBIT" , "directdebit" );
	define( "PM_CREDIT_CARD" , "creditcard" );
	define( "PM_COUPON" , "coupon" );

	define( "NOTIFY_0" , "0" );
	define( "NOTIFY_PENDING" , "P" );
	define( "NOTIFY_WAITING" , "W" );
	define( "NOTIFY_SENT" , "S" );
	define( "NOTIFY_FALSE" , "F" );

	class GlobalsModel {
		public static function statuses( $a = array() ) {
			return sprintf( "('%s')" , implode( "','" , $a ) );
		}

		public static function getSiteName( $language = "" ) {
			if (empty( $language )) $language = $GLOBALS["language"];
			switch ($language) {
			default:
			case "hu": $retval = "fordit.hu";break;
			case "en": $retval = "Hungarian-translator.eu";break;
			case "de": $retval = "Ungarisch-Übersetzer.eu";break;
			}
			return $retval;
		}
		public static function getSiteDomain( $language = "" ) {
			if (empty( $language )) $language = $GLOBALS["language"];
			switch ($language) {
			default:
			case "hu": $retval = "fordit.hu";break;
			case "en": $retval = "hungarian-translator.eu";break;
			case "de": $retval = "ungarisch-uebersetzer.eu";break;
			}
			return $retval;
		}

		public static function getLanguageFromDomain( $domain ) {
			switch ($domain) {
			default:
			case "fordit.hu": $lang = "hu";break;
			case "hungarian-translation.hu": $lang="en";break;
			case "ungarisch-uebersetzung.hu": $lang="de";break;
			}
			return $lang;
		}
	}

?>
